using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.IO;
using System.Diagnostics;
using System.Collections.Specialized;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using ContextMenuColumnChooser;
using Telerik.Windows.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            GridViewTableDefinition detailDefinition = new GridViewTableDefinition();
            detailDefinition.Relation = new PropertyRelation("Items");
            detailDefinition.DataSourceChanged += new EventHandler<EventArgs>(detailDefinition_DataSourceChanged);
            RadGridView1.TableDefinition.ChildTableDefinitions.Add(detailDefinition);

            RadGridView1.ItemsSource = new ObservableCollection<MyBusinessObject>(new MyBusinessObjects().GetData(100));
        }

        void detailDefinition_DataSourceChanged(object sender, EventArgs e)
        {
            
        }
    }
}
